function randomIntFromInterval(min, max) { // min and max included 
    return Math.floor(Math.random() * (max - min + 1) + min)
}

function numberWithCommas(x) {
    return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
}

function boost(i, boost) {
    var limit = document.getElementById("percent-limit-" + i).value;
    var pola_generate = document.getElementById("pola-generate-" + i).value;
    var percent_sekarang = parseInt($("#percent-bar-" + i).attr("aria-valuenow"));
    var percent_dulu = percent_sekarang;

    if (limit == "") {
        limit = Math.max(percent_sekarang, parseInt(randomIntFromInterval(94, 99)));
    }
    document.getElementById("percent-limit-" + i).value = limit;

    document.getElementById("pola-generate").innerHTML = pola_generate;

    if (boost == 1) {
        var tambah = parseInt(randomIntFromInterval(1, 15));
        percent_sekarang += tambah;
        percent_sekarang = Math.min(limit, percent_sekarang);
    }

    var tambah_actual = percent_sekarang - percent_dulu;

    var modal = new bootstrap.Modal(document.getElementById('boost_modal'), {})
    modal.show();

    document.getElementById("img-modal").src = document.getElementById("img-zoom-" + i).src;
    var alt = document.getElementById("img-zoom-" + i).alt;

    document.getElementById("name-modal-game").innerHTML = alt;

    if (tambah_actual > 0) {
        var atas = "<p id='rtp-berhasil-di-boost-menjadi'>RTP BERHASIL<br>DI-BOOST MENJADI</p>";
        if (boost == 0) {
            atas = "<p id='rtp-saat-ini'>RTP SAAT INI</p>";
        }
        document.getElementById('rtp-name').innerHTML = atas + "<p id='percent-berhasil-di-boost-txt-modal' style='font-size:45px;'>" + percent_sekarang + "%</p>";
    } else {
        var atas = "<p id='rtp-sudah-limit'>RTP SUDAH LIMIT</p>";
        if (boost == 0) {
            atas = "<p id='rtp-saat-ini'>RTP SAAT INI</p>";
        }
        document.getElementById('rtp-name').innerHTML = atas + "<p id='percent-berhasil-di-boost-txt-modal' style='font-size:45px;'>" + percent_sekarang + "%</p>";
    }

    document.getElementById('link-start-modal').setAttribute('href', document.getElementById('hover-btn-' + i).href);

    var percentTxt = document.getElementById("percent-txt-" + i);
    var bar = document.getElementById("percent-bar-" + i);
    const bartext = document.getElementById("card-title" + i);

    bar.classList.remove("red");
    bar.classList.remove("green");
    bar.classList.remove("yellow");

    var bar_modal = document.getElementById('percent-bar-modal');

    bar_modal.classList.remove("red");
    bar_modal.classList.remove("green");
    bar_modal.classList.remove("yellow");

    percentTxt.innerHTML = percent_sekarang + "%";
    document.getElementById('percent-txt-modal').innerHTML = percent_sekarang + "%";
    $("#percent-bar-" + i)
        .attr("aria-valuenow", percent_sekarang)
        .css("width", percent_sekarang + "%");
    $("#percent-bar-modal")
        .attr("aria-valuenow", percent_sekarang)
        .css("width", percent_sekarang + "%");

    if (boost == 1) {
        document.getElementById('close-mobile').innerHTML = 'KEMBALI DAN BOOST LAGI';
    } else {
        document.getElementById('close-mobile').innerHTML = 'KEMBALI DAN BOOST RTP';
    }

    document.getElementById("border-isi-modal").classList.remove('border-red');
    document.getElementById("border-isi-modal").classList.remove('border-green');
    document.getElementById("border-isi-modal").classList.remove('border-yellow');

    document.getElementById("img-modal").classList.remove('border-red');
    document.getElementById("img-modal").classList.remove('border-green');
    document.getElementById("img-modal").classList.remove('border-yellow');

    document.getElementById("percent-modal").classList.remove('pc-red');
    document.getElementById("percent-modal").classList.remove('pc-green');
    document.getElementById("percent-modal").classList.remove('pc-yellow');

    document.getElementById("game-modal").classList.remove('game-modal-red');
    document.getElementById("game-modal").classList.remove('game-modal-green');
    document.getElementById("game-modal").classList.remove('game-modal-yellow');

    document.getElementById("rtp-live").classList.remove('rtp-live-red');
    document.getElementById("rtp-live").classList.remove('rtp-live-green');
    document.getElementById("rtp-live").classList.remove('rtp-live-yellow');

    document.getElementById("rtp-name").classList.remove('bg-red');
    document.getElementById("rtp-name").classList.remove('bg-green');
    document.getElementById("rtp-name").classList.remove('bg-yellow');

    var login = document.getElementsByClassName("login");
    for (index = 0; index < login.length; ++index) {
        login[index].classList.remove('lg-red');
        login[index].classList.remove('lg-green');
        login[index].classList.remove('lg-yellow');
    }

    document.getElementById("btn-boost-" + i).classList.remove('lg-green');
    document.getElementById("btn-boost-" + i).classList.remove('lg-yellow');
    document.getElementById("btn-boost-" + i).classList.remove('lg-red');

    document.getElementById("btn-lihat-pola-" + i).classList.remove('lg-green');
    document.getElementById("btn-lihat-pola-" + i).classList.remove('lg-yellow');
    document.getElementById("btn-lihat-pola-" + i).classList.remove('lg-red');

    document.getElementById("btn-play-now-" + i).classList.remove('lg-green');
    document.getElementById("btn-play-now-" + i).classList.remove('lg-yellow');
    document.getElementById("btn-play-now-" + i).classList.remove('lg-red');

    document.getElementById("statusgacor-" + i).classList.remove('red');
    document.getElementById("statusgacor-" + i).classList.remove('green');
    document.getElementById("statusgacor-" + i).classList.remove('yellow');

    document.getElementById("pola-text").classList.remove("frame-rtp-green");
    document.getElementById("pola-text").classList.remove("frame-rtp-yellow");
    document.getElementById("pola-text").classList.remove("frame-rtp-red");

    document.getElementById("apa-itu-boost-rtp-text").classList.remove("frame-rtp-green");
    document.getElementById("apa-itu-boost-rtp-text").classList.remove("frame-rtp-yellow");
    document.getElementById("apa-itu-boost-rtp-text").classList.remove("frame-rtp-red");

    document.getElementById("apa-itu-boost-rtp-rtp").classList.remove("text-green");
    document.getElementById("apa-itu-boost-rtp-rtp").classList.remove("text-yellow");
    document.getElementById("apa-itu-boost-rtp-rtp").classList.remove("text-red");

    document.getElementById("pola-rtp").classList.remove("text-green");
    document.getElementById("pola-rtp").classList.remove("text-yellow");
    document.getElementById("pola-rtp").classList.remove("text-red");

    document.getElementById("card-content-" + i).classList.remove('card-red');
    document.getElementById("card-content-" + i).classList.remove('card-yellow');
    document.getElementById("card-content-" + i).classList.remove('card-green');

    if (percent_sekarang < 30) {
        bar.classList.add("red");
        bar_modal.classList.add("red");
        document.getElementById("border-isi-modal").classList.add('border-red');
        document.getElementById("img-modal").classList.add('border-red');
        document.getElementById("percent-modal").classList.add('pc-red');
        document.getElementById("game-modal").classList.add('game-modal-red');
        document.getElementById("rtp-live").classList.add('rtp-live-red');
        document.getElementById("rtp-name").classList.add('bg-red');
        document.getElementById("btn-boost-" + i).classList.add('lg-red');
        document.getElementById("btn-play-now-" + i).classList.add('lg-red');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-red');
        document.getElementById("statusgacor-" + i).classList.add('red');
        // document.getElementById("flow-" + i).style.display = 'none';
        document.getElementById("status-gacor-" + i).innerHTML = "Tidak Bagus";

        for (index = 0; index < login.length; ++index) {
            login[index].classList.add('lg-red');
        }

        document.getElementById('pulse').setAttribute('src', 'assets/images/star1.png');
        document.getElementById('petir-modal').style.display = 'none';
        document.getElementById('link-start-modal').style.color = 'white';
        document.getElementById("pola-text").classList.add("frame-rtp-red");
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-red");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-red");
        document.getElementById("pola-rtp").classList.add("text-red");
        document.getElementById("card-content-" + i).classList.add('card-red');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Tidak Ada Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = true;
    } else if (percent_sekarang > 70) {
        bar.classList.add("green");
        bar_modal.classList.add("green");
        document.getElementById("border-isi-modal").classList.add('border-green');
        document.getElementById("img-modal").classList.add('border-green');
        document.getElementById("percent-modal").classList.add('pc-green');
        document.getElementById("game-modal").classList.add('game-modal-green');
        document.getElementById("rtp-live").classList.add('rtp-live-green');
        document.getElementById("rtp-name").classList.add('bg-green');
        document.getElementById("btn-boost-" + i).classList.add('lg-green');
        document.getElementById("btn-play-now-" + i).classList.add('lg-green');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-green');
        document.getElementById("statusgacor-" + i).classList.add('green');
        // document.getElementById("flow-" + i).style.display = 'initial';
        document.getElementById("status-gacor-" + i).innerHTML = "RTP Lagi Gacor";
        for (index = 0; index < login.length; ++index) {
            login[index].classList.add('lg-green');
        }

        document.getElementById('pulse').setAttribute('src', 'assets/images/star3.webp');
        document.getElementById('petir-modal').style.display = 'block';
        document.getElementById('link-start-modal').style.color = 'white';
        document.getElementById("pola-text").classList.add("frame-rtp-green");
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-green");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-green");
        document.getElementById("pola-rtp").classList.add("text-green");
        document.getElementById("card-content-" + i).classList.add('card-green');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Lihat Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = false;
    } else {
        bar.classList.add("yellow");
        bar_modal.classList.add("yellow");
        document.getElementById("border-isi-modal").classList.add('border-yellow');
        document.getElementById("img-modal").classList.add('border-yellow');
        document.getElementById("percent-modal").classList.add('pc-yellow');
        document.getElementById("game-modal").classList.add('game-modal-yellow');
        document.getElementById("rtp-live").classList.add('rtp-live-yellow');
        document.getElementById("rtp-name").classList.add('bg-yellow');
        document.getElementById("btn-boost-" + i).classList.add('lg-yellow');
        document.getElementById("btn-play-now-" + i).classList.add('lg-yellow');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-yellow');
        document.getElementById("statusgacor-" + i).classList.add('yellow');
        // document.getElementById("flow-" + i).style.display = 'none';
        document.getElementById("status-gacor-" + i).innerHTML = "RTP Lagi Biasa";

        for (index = 0; index < login.length; ++index) {
            login[index].classList.add('lg-yellow');
        }

        document.getElementById('pulse').setAttribute('src', 'assets/images/star2.webp');
        document.getElementById('petir-modal').style.display = 'none';
        document.getElementById('link-start-modal').style.color = 'black';
        document.getElementById("pola-text").classList.add("frame-rtp-yellow");
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-yellow");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-yellow");
        document.getElementById("pola-rtp").classList.add("text-yellow");
        document.getElementById("card-content-" + i).classList.add('card-yellow');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Lihat Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = false;
    }

    if (percent_sekarang < 30) {
        document.getElementById("hover-btn-" + i).style.pointerEvents = "none";
        document.getElementById("hover-btn-" + i).style.cursor = "default";
        document.getElementById("img-tutup-" + i).style.opacity = "1";
        document.getElementById("img-tutup-" + i).style.zIndex = "1000";
        document.getElementById("img-zoom-" + i).style.opacity = "0.4";
        document.getElementById("percent-txt-" + i).style.opacity = "0.4";
        document.getElementById("percent-bar-" + i).style.opacity = "0.4";
    } else {
        document.getElementById("hover-btn-" + i).style.pointerEvents = "";
        document.getElementById("hover-btn-" + i).style.cursor = "";
        document.getElementById("img-tutup-" + i).style.display = "none";
        document.getElementById("img-tutup-" + i).style.opacity = "1";
        document.getElementById("img-tutup-" + i).style.zIndex = "1000";
        document.getElementById("img-zoom-" + i).style.opacity = "1";
        document.getElementById("percent-txt-" + i).style.opacity = "1";
        document.getElementById("percent-bar-" + i).style.opacity = "1";
    }
}