var x = [0, 974, 905, 873, 973, 852, 977, 966, 861, 882, 854, 929, 917, 885, 926, 941, 901, 927, 968, 853, 972, 860, 978, 855, 969, 919, 936, 979, 938, 898, 922, 877, 960, 918, 907, 970, 851, 947, 908, 935, 883, 856, 959, 896, 858, 913, 864, 893, 897, 872, 961, 876, 884, 930, 921, 912, 967, 931, 963, 910, 916, 976, 880, 920, 886, 902, 951, 889, 881, 850, 949, 866, 906, 909, 925, 890, 928, 932, 874929, 917, 885, 926, 941, 901, 927, 968, 853, 972, 860, 978, 855, 969, 919, 936];

function randomIntFromInterval(min, max) { // min and max included 
    return Math.floor(Math.random() * (max - min + 1) + min)
}

function numberWithCommas(x) {
    return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
}

for (let i = 1; i < 500; i++) {
    const d = new Date();
    var date = d.getUTCDate();
    var day = d.getUTCDay() + 1;
    var year = d.getUTCFullYear();
    var month = d.getUTCMonth() + 1;
    var hour = d.getUTCHours();
    var min = d.getMinutes();
    if (min < 30) {
        min = 1;
    } else {
        min = 2;
    }
    var xx = day + year * month * date;
    xx = Math.pow(xx, hour * min);
    xx = xx * x[i % x.length];
    // xx = xx * 2 - 1;
    // xx = xx/2;

    if (i == 16 || i == 22 || i == 2 || i == 1 || i == 8 || i == 11 || i == 19 || i == 14 || i == 18 || i == 32 || i == 62 || i == 30 || i == 10 || i == 3 || i == 13 || i == 22 || i == 37) {
        xx = xx % 27;
        xx += 65;
    } else {
        xx = xx % 83;
        xx += 8;
    }
    var percentTxt = document.getElementById("percent-txt-" + i);
    var bar = document.getElementById("percent-bar-" + i);
    const bartext = document.getElementById("card-title" + i);
    if (percentTxt === null) continue;
    percentTxt.innerHTML = xx + "%";
    $("#percent-bar-" + i)
        .attr("aria-valuenow", xx)
        .css("width", xx + "%");
    if (xx < 30) {
        bar.classList.add("red");
        document.getElementById("btn-boost-" + i).classList.add('lg-red');
        document.getElementById("btn-play-now-" + i).classList.add('lg-red');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-red');
        document.getElementById("statusgacor-" + i).classList.add('red');
        // document.getElementById("flow-" + i).style.display = 'none';
        document.getElementById("status-gacor-" + i).innerHTML = "Tidak Bagus";
        document.getElementById("card-content-" + i).classList.add('card-red');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Tidak Ada Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = true;
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-red");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-red");
    } else if (xx > 70) {
        bar.classList.add("green");
        document.getElementById("btn-boost-" + i).classList.add('lg-green');
        document.getElementById("btn-play-now-" + i).classList.add('lg-green');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-green');
        document.getElementById("statusgacor-" + i).classList.add('green');
        // document.getElementById("flow-" + i).style.display = 'initial';
        document.getElementById("status-gacor-" + i).innerHTML = "RTP Lagi Gacor";
        document.getElementById("card-content-" + i).classList.add('card-green');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Lihat Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = false;
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-green");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-green");
    } else {
        bar.classList.add("yellow");
        document.getElementById("btn-boost-" + i).classList.add('lg-yellow');
        document.getElementById("btn-play-now-" + i).classList.add('lg-yellow');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-yellow');
        document.getElementById("statusgacor-" + i).classList.add('yellow');
        // document.getElementById("flow-" + i).style.display = 'none';
        document.getElementById("status-gacor-" + i).innerHTML = "RTP Lagi Biasa";
        document.getElementById("card-content-" + i).classList.add('card-yellow');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Lihat Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = false;
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-yellow");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-yellow");
    }

    $baris_pertama = randomIntFromInterval(0, 1);
    if ($baris_pertama == 0) {
        $baris_pertama = "Pertama Disabled Turbo Spin" + "<br>";
    } else {
        $baris_pertama = "Pertama Enabled Turbo Spin" + "<br>";
    }
    $str = $baris_pertama;

    $str += "Terus, Spin Biasa " + randomIntFromInterval(5, 20) + "x Taruhan " + randomIntFromInterval(1, 5) + ".00" + "<br>";

    $str += "Terus Langsung Pilih Auto Spin " + randomIntFromInterval(1, 3) * 10 + " Taruhan " + randomIntFromInterval(1, 5) + ".00";

    document.getElementById("pola-generate-" + i).value = $str;

    document.getElementById("btn-lihat-pola-" + i).style.display = "none";
    document.getElementById("pola-col").style.display = "none";

    if (xx < 30) {
        document.getElementById("hover-btn-" + i).style.pointerEvents = "none";
        document.getElementById("hover-btn-" + i).style.cursor = "default";
        document.getElementById("img-tutup-" + i).style.opacity = "1";
        document.getElementById("img-tutup-" + i).style.zIndex = "1000";
        document.getElementById("img-zoom-" + i).style.opacity = "0.4";
        document.getElementById("percent-txt-" + i).style.opacity = "0.4";
        document.getElementById("percent-bar-" + i).style.opacity = "0.4";
    } else {
        document.getElementById("img-tutup-" + i).style.display = "none";
    }
}