var x = [0, 321, 146, 63, 1005, 83, 477, 448, 1186, 684, 96, 849, 337, 32, 943, 116, 847, 392, 654, 1040, 391, 1123, 994, 111, 724, 1044, 555, 1032, 126, 274, 471, 217, 606, 22, 91, 940, 1172, 86, 241, 644, 852, 586, 1184, 282, 343, 917, 459, 2, 33, 678, 558, 297, 600, 506, 198, 97, 1091, 1145, 804, 1170, 789, 295, 1016, 261, 767, 853, 737, 494, 846, 628, 749, 810, 841, 766, 1012, 516, 537, 416, 511, 636, 980, 552, 1042, 623, 582, 457, 331, 89, 419, 399, 489, 307, 1161, 267, 354, 954, 1149, 714, 668, 121, 1212, 122, 666, 683, 786, 959, 335, 165, 440, 1139, 957, 543, 550, 20, 908, 1001, 1124, 313, 197, 336, 127, 332, 979, 1116, 67, 164, 82, 1057, 319, 71, 373, 893, 534, 495, 703, 478, 288, 522, 921, 1182, 257, 334, 988, 897, 809, 310, 710, 832, 1053, 280, 425, 813, 731, 184, 507, 1189, 176, 673, 732, 276, 483, 665, 1234, 398, 59, 296, 1115, 237, 958, 733, 324, 462, 890, 549, 1093, 1027, 1164, 964, 730, 689, 106, 686, 868, 227, 596, 401, 428, 821, 1159, 19, 31, 1011, 953, 1205, 622, 205, 207, 655, 485, 55, 1143];

function randomIntFromInterval(min, max) { // min and max included 
    return Math.floor(Math.random() * (max - min + 1) + min)
}

function numberWithCommas(x) {
    return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
}

for (let i = 1; i < 500; i++) {
    const d = new Date();
    var date = d.getUTCDate();
    var day = d.getUTCDay() + 1;
    var year = d.getUTCFullYear();
    var month = d.getUTCMonth() + 1;
    var hour = d.getUTCHours();
    var min = d.getMinutes();
    if (min < 30) {
        min = 1;
    } else {
        min = 2;
    }
    var xx = day + year * month * date;
    xx = Math.pow(xx, hour * min);
    xx = xx * x[i % x.length];
    // xx = xx * 2 - 1;
    // xx = xx/2;

    if (i == 44 || i == 35 || i == 48 || i == 74 || i == 105 || i == 41 || i == 69) {
        xx = xx % 27;
        xx += 65;
    } else {
        xx = xx % 83;
        xx += 8;
    }
    var percentTxt = document.getElementById("percent-txt-" + i);
    var bar = document.getElementById("percent-bar-" + i);
    const bartext = document.getElementById("card-title" + i);
    if (percentTxt === null) continue;
    percentTxt.innerHTML = xx + "%";
    $("#percent-bar-" + i)
        .attr("aria-valuenow", xx)
        .css("width", xx + "%");
    if (xx < 30) {
        bar.classList.add("red");
        document.getElementById("btn-boost-" + i).classList.add('lg-red');
        document.getElementById("btn-play-now-" + i).classList.add('lg-red');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-red');
        document.getElementById("statusgacor-" + i).classList.add('red');
        // document.getElementById("flow-" + i).style.display = 'none';
        document.getElementById("status-gacor-" + i).innerHTML = "Tidak Bagus";
        document.getElementById("card-content-" + i).classList.add('card-red');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Tidak Ada Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = true;
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-red");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-red");
    } else if (xx > 70) {
        bar.classList.add("green");
        document.getElementById("btn-boost-" + i).classList.add('lg-green');
        document.getElementById("btn-play-now-" + i).classList.add('lg-green');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-green');
        document.getElementById("statusgacor-" + i).classList.add('green');
        // document.getElementById("flow-" + i).style.display = 'initial';
        document.getElementById("status-gacor-" + i).innerHTML = "RTP Lagi Gacor";
        document.getElementById("card-content-" + i).classList.add('card-green');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Lihat Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = false;
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-green");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-green");
    } else {
        bar.classList.add("yellow");
        document.getElementById("btn-boost-" + i).classList.add('lg-yellow');
        document.getElementById("btn-play-now-" + i).classList.add('lg-yellow');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-yellow');
        document.getElementById("statusgacor-" + i).classList.add('yellow');
        // document.getElementById("flow-" + i).style.display = 'none';
        document.getElementById("status-gacor-" + i).innerHTML = "RTP Lagi Biasa";
        document.getElementById("card-content-" + i).classList.add('card-yellow');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Lihat Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = false;
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-yellow");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-yellow");
    }

    $str = "Taruhan " + numberWithCommas(randomIntFromInterval(1, 10) * 100) + " - " + numberWithCommas(randomIntFromInterval(11, 40) * 100);

    document.getElementById("pola-generate-" + i).value = $str;

    document.getElementById("btn-lihat-pola-" + i).style.display = "none";
    document.getElementById("pola-col").style.display = "none";

    if (xx < 30) {
        document.getElementById("hover-btn-" + i).style.pointerEvents = "none";
        document.getElementById("hover-btn-" + i).style.cursor = "default";
        document.getElementById("img-tutup-" + i).style.opacity = "1";
        document.getElementById("img-tutup-" + i).style.zIndex = "1000";
        document.getElementById("img-zoom-" + i).style.opacity = "0.4";
        document.getElementById("percent-txt-" + i).style.opacity = "0.4";
        document.getElementById("percent-bar-" + i).style.opacity = "0.4";
    } else {
        document.getElementById("img-tutup-" + i).style.display = "none";
    }
}