var sliderImg = new Array("assets/images/providers/logo-pragmaticplay.jpg", "assets/images/providers/logo-pgsoft.webp", "assets/images/providers/logo-habanero.png", "assets/images/providers/logo-spadegaming.webp", "assets/images/providers/logo-toptrendgaming.png", "assets/images/providers/logo-cq9.webp");
var sliderLink = new Array("pragmaticplay", "pgsoft", "habanero", "spadegaming", "toptrendgaming", "cq9");
var sliderLong = new Array("Pragmatic Play", "PG Soft", "Habanero", "Spadegaming", "Top Trend Gaming", "CQ9");
var sliderShort = new Array("PP", "PG", "HB", "SG", "TTG", "CQ9");

var sliderMulai = 0;

function load_slider($berapa) {
    $slider_detail = "";
    sliderMulai += $berapa;
    if (sliderMulai < 0) sliderMulai += 6;
    sliderMulai %= 6;

    var banyak = 4;

    if ($(window).width() <= 768) {
        banyak = 2;
    } else if ($(window).width() <= 992) {
        banyak = 3;
    }

    for (var i = 0; i < banyak; i++) {
        var mana = (sliderMulai + i) % 6;
        $slider_detail +=
            "<li>" +
            "<a class='btn-provider' href='" + sliderLink[mana] + "'>" +
            "<img class='slot-sidebar-img' src='" + sliderImg[mana] + "' alt='' />" +
            "<p class='long d-none d-lg-block mb-0'>" + sliderLong[mana] + "</p>" +
            "<p class='short d-block d-lg-none mb-0'>" + sliderShort[mana] + "</p>" +
            "</a>" +
            "</li>";
    }

    $(".slot-sidebar-nav").empty();

    $(".slot-sidebar-nav").append(
        "<button class='next-btn' onclick='load_slider(-1)'>❮</button>" +
        $slider_detail +
        "<button class='next-btn' onclick='load_slider(1)'>❯</button>"
    );
}

function sesuaikan_img_tutup() {
    var img_tutup = document.getElementsByClassName('img-tutup');
    var img_zoom = document.getElementsByClassName('img-zoom');
    var hover_btn = document.getElementsByClassName('hover-btn');

    for (var i = 0; i < img_tutup.length; i++) {
        img_tutup[i].style.height = img_zoom[i].height + "px";
        hover_btn[i].style.height = img_zoom[i].height + "px";
        hover_btn[i].style.width = img_zoom[i].width + "px";
    }
}
$(document).ready(function () {
    load_slider(0);
    sesuaikan_img_tutup();
});
$(window).resize(function () {
    /*Bind an event handler to the "resize"*/
    load_slider(0);
    sesuaikan_img_tutup();
})