var x = [0, 8903, 5218, 899, 2243, 1086, 4918, 3360, 3221, 5831, 1560, 554, 3697, 4482, 2506, 1747, 4299, 4342, 9513, 5287, 4491, 7621, 2375, 1398, 9859, 9320, 1733, 7999, 8749, 6232, 2886, 5880, 7901, 6321, 367, 3141, 2599, 3617, 6229, 1115, 3848, 5333, 4715, 5766, 4081, 2512, 4797, 6936, 7944, 9392, 4952, 3586, 5082, 6190, 5313, 5767, 8847, 6016, 5819, 7001, 3546, 3630, 6378, 6834, 3713, 6872, 8660, 5270, 2687, 5382, 3388, 1820, 6733, 5459, 3250, 2800, 7331, 8707, 732, 876, 7423, 264, 135, 8340, 3376, 2006, 8738, 6411, 7031, 2365, 6816, 2276, 7284, 931, 1846, 7731, 8911, 5649, 5352, 9040, 3336, 4064, 9493, 2040, 2081, 5252, 5527, 6237, 2575, 1034, 3004, 9441, 3615, 9857, 4311, 4128, 2551, 9639, 8560, 3438, 6825, 6528, 2880, 8264, 9610, 4126, 1269, 9740, 7904, 2664, 4847, 8976, 686, 8694, 7251, 738, 2234, 5838, 4063, 2096, 2385, 5903, 4919, 2036, 5957, 4369, 1574, 8331, 9750, 9131, 8638, 7526, 8634, 1882, 4443, 8722, 677, 834, 1509, 3026, 7208, 8352, 6561, 1590, 6921, 9388, 674, 6214, 9446, 4452, 5394, 6529, 3816, 9664, 4425, 4405, 5737, 2951, 111, 3610, 1995, 6567, 8430, 8498, 6487, 8121, 4601, 4304, 7337, 1015, 1821, 7270, 9002, 403, 4702, 159, 213, 717, 3196, 8296, 2744];

function randomIntFromInterval(min, max) { // min and max included 
    return Math.floor(Math.random() * (max - min + 1) + min)
}

function numberWithCommas(x) {
    return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
}

for (let i = 1; i < 500; i++) {
    const d = new Date();
    var date = d.getUTCDate();
    var day = d.getUTCDay() + 1;
    var year = d.getUTCFullYear();
    var month = d.getUTCMonth() + 1;
    var hour = d.getUTCHours();
    var min = d.getMinutes();
    if (min < 30) {
        min = 1;
    } else {
        min = 2;
    }
    var xx = day + year * month * date;
    xx = Math.pow(xx, hour * min);
    xx = xx * x[i % x.length];
    // xx = xx * 2 - 1;
    // xx = xx/2;

    if (i == 0) {
        xx = xx % 27;
        xx += 65;
    } else {
        xx = xx % 83;
        xx += 8;
    }
    var percentTxt = document.getElementById("percent-txt-" + i);
    var bar = document.getElementById("percent-bar-" + i);
    const bartext = document.getElementById("card-title" + i);
    if (percentTxt === null) continue;
    percentTxt.innerHTML = xx + "%";
    $("#percent-bar-" + i)
        .attr("aria-valuenow", xx)
        .css("width", xx + "%");
    if (xx < 30) {
        bar.classList.add("red");
        document.getElementById("btn-boost-" + i).classList.add('lg-red');
        document.getElementById("btn-play-now-" + i).classList.add('lg-red');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-red');
        document.getElementById("statusgacor-" + i).classList.add('red');
        // document.getElementById("flow-" + i).style.display = 'none';
        document.getElementById("status-gacor-" + i).innerHTML = "Tidak Bagus";
        document.getElementById("card-content-" + i).classList.add('card-red');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Tidak Ada Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = true;
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-red");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-red");
    } else if (xx > 70) {
        bar.classList.add("green");
        document.getElementById("btn-boost-" + i).classList.add('lg-green');
        document.getElementById("btn-play-now-" + i).classList.add('lg-green');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-green');
        document.getElementById("statusgacor-" + i).classList.add('green');
        // document.getElementById("flow-" + i).style.display = 'initial';
        document.getElementById("status-gacor-" + i).innerHTML = "RTP Lagi Gacor";
        document.getElementById("card-content-" + i).classList.add('card-green');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Lihat Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = false;
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-green");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-green");
    } else {
        bar.classList.add("yellow");
        document.getElementById("btn-boost-" + i).classList.add('lg-yellow');
        document.getElementById("btn-play-now-" + i).classList.add('lg-yellow');
        document.getElementById("btn-lihat-pola-" + i).classList.add('lg-yellow');
        document.getElementById("statusgacor-" + i).classList.add('yellow');
        // document.getElementById("flow-" + i).style.display = 'none';
        document.getElementById("status-gacor-" + i).innerHTML = "RTP Lagi Biasa";
        document.getElementById("card-content-" + i).classList.add('card-yellow');
        document.getElementById("btn-lihat-pola-" + i).innerHTML = "Lihat Pola";
        document.getElementById("btn-lihat-pola-" + i).disabled = false;
        document.getElementById("apa-itu-boost-rtp-text").classList.add("frame-rtp-yellow");
        document.getElementById("apa-itu-boost-rtp-rtp").classList.add("text-yellow");
    }

    $str = "Taruhan " + numberWithCommas(randomIntFromInterval(1, 10) * 100) + " - " + numberWithCommas(randomIntFromInterval(11, 40) * 100);

    document.getElementById("pola-generate-" + i).value = $str;

    document.getElementById("btn-lihat-pola-" + i).style.display = "none";
    document.getElementById("pola-col").style.display = "none";

    if (xx < 30) {
        document.getElementById("hover-btn-" + i).style.pointerEvents = "none";
        document.getElementById("hover-btn-" + i).style.cursor = "default";
        document.getElementById("img-tutup-" + i).style.opacity = "1";
        document.getElementById("img-tutup-" + i).style.zIndex = "1000";
        document.getElementById("img-zoom-" + i).style.opacity = "0.4";
        document.getElementById("percent-txt-" + i).style.opacity = "0.4";
        document.getElementById("percent-bar-" + i).style.opacity = "0.4";
    } else {
        document.getElementById("img-tutup-" + i).style.display = "none";
    }
}